Bug 439199 - add scopev4 to gai.conf man page
add scopev4 to gai.conf man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man-pages (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 11:01 EDT by Jeff Bastian
Modified: 2013-04-12 15:37 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0587
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 679894 679899 (view as bug list)
Environment:
Last Closed: 2008-07-16 09:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2008-03-27 11:01:48 EDT
Description of problem:
A new keyword 'scopev4' was added for gai.conf.  It is described in
/usr/share/doc/glibc-common-2.5/gai.conf but it's missing from the gai.conf man
page.  Please add it to the man page.

From /usr/share/doc/glibc-common-2.5/gai.conf:
# scopev4  <mask>  <value>
#    Add another rule to the RFC 3484 scope table for IPv4 addresses.
#    By default the scope IDs described in section 3.2 in RFC 3484 are
#    used.  Changing these defaults should hardly ever be necessary.
#    Presence of at least one scopev4 rule enables new getaddrinfo
#    sorting rules, if the default scope table is desirable, uncomment
#    otherwise unmodified 6 scopev4 rules below.
#    The defaults are equivalent to:
#
#scopev4 ::ffff:169.254.0.0/112  2
#scopev4 ::ffff:127.0.0.0/104    2
#scopev4 ::ffff:10.0.0.0/104     5
#scopev4 ::ffff:172.16.0.0/108   5
#scopev4 ::ffff:192.168.0.0/112  5


Version-Release number of selected component (if applicable):
man-pages-2.39-10.el5

How reproducible:
Every time

Steps to Reproduce:
1. man gai.conf

Actual results:
No description of scopev4 keyword

Expected results:
A description of scopev4 keyword

Additional info:
Comment 1 Jeff Bastian 2008-03-27 13:44:22 EDT
See bug 352021 on the addition of the scopev4 keyword
Comment 7 errata-xmlrpc 2008-07-16 09:38:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0587.html

Note You need to log in before you can comment on or make changes to this bug.